MAN(1)

BEZEICHNUNG
man - eine Oberfläche für die System-Referenzhandbücher

ÜBERSICHT
man [man Optionen] [[Abschnitt] Seite ...] ...
man -k [apropos Optionen] Regulärer_Ausdruck ...
man -K [man Optionen] [Abschnitt] Begriff ...
man -f [whatis Optionen] Seite ...
man -l [man Optionen] Datei ...
man -w|-W [man Optionen] Seite ...

BESCHREIBUNG
man ist das System-Anzeigeprogramm für die Handbuchseiten. Jedes an man übergebene Argument Seite ist normalerweise der Name eines Programms oder einer Funktion. Gefunden und angezeigt wird die Handbuchseite, die auf jedes der Argumente passt. Wenn ein Abschnitt angegeben wird, sucht man nur in diesem Abschnitt der Handbuchseiten. Ohne eine explizite Angabe werden alle verfügbaren Abschnitte in einer festgelegten Reihenfolge durchsucht (siehe VOREINSTELLUNGEN) und nur die jeweils zuerst gefundene Seite angezeigt, wenn die Seite in mehreren Abschnitten vorkommt.

Die folgende Tabelle zeigt die Nummern der Abschnitte der Handbuchseiten und den Typ der dort zu findenden Seiten.

1 | Ausführbare Programme oder Shell-Befehle
2 | Systemaufrufe (Kernel-Funktionen)
3 | Bibliotheksaufrufe (Funktionen in Programmbibliotheken)
4 | Spezielle Dateien (gewöhnlich in /dev)
5 | Dateiformate und Konventionen, z.B. /etc/passwd
6 | Spiele
7 | Verschiedenes (einschließlich Makropaketen und Konventionen), z. B. man(7), groff(7), man-pages(7)
8 | Befehle für die Systemverwaltung (in der Regel nur für root)
9 | Kernel-Routinen [nicht Standard]

Eine Handbuchseite besteht aus verschiedenen Abschnitten.

Zu den gebräuchlichen Abschnittsnamen gehören NAME, SYNOPSIS, CONFIGURATION, DESCRIPTION, OPTIONS, EXIT STATUS, RETURN VALUE, ERRORS, ENVIRONMENT, FILES, VERSIONS, STANDARDS, NOTES, BUGS, EXAMPLE, AUTHORS und SEE ALSO.

Die folgenden Konventionen gelten für den Abschnitt ÜBERSICHT und können für andere Abschnitte als Leitfaden benutzt werden.

Fettdruck | genau wie angegeben eingeben
Kursivdruck | durch passendes Argument ersetzen
[-abc] | Ein oder mehrere Argumente innerhalb der [ ] sind optional.
-a|-b | Durch | abgegrenzte Optionen können nicht zusammen benutzt werden.
Argument ... | Das Argument kann wiederholt werden.
[Ausdruck] ... | Der gesamte Ausdruck innerhalb [ ] kann wiederholt werden.

Die Darstellung ist vom Ausgabegerät abhängig. So kann man im Allgemeinen Kursivschrift auf Terminals nicht darstellen und stattdessen den Text unterstreichen oder einfärben.

Die Befehls- oder Funktionsdarstellung ist ein Muster, das zu allen möglichen Aufrufen passen sollte. In manchen Fällen ist es ratsam, wie im Abschnitt ÜBERSICHT dieser Handbuchseite praktiziert, die verschiedenen, sich ausschließenden Aufrufe anzugeben.

BEISPIELE

man ls
    Zeigt die Handbuchseite für den Begriff (das Programm) ls an.

man man.7
    Zeigt die Handbuchseite für das Makropaket man aus Abschnitt 7 an. Dies ist eine alternative Schreibweise für »man 7 man«.

man 'man(7)'
    Zeigt die Handbuchseite für das Makropaket man aus Abschnitt 7 an. Dies ist eine weitere alternative Schreibweise für "man 7 man". Dies könnte beim Kopieren und Einfügen von Querverweisen in Handbuchseiten bequemer sein. Beachten Sie, dass die Klammern normalerweise in Anführungszeichen gesetzt werden müssen, um zu verhindern, dass sie von der Shell interpretiert werden.

man -a intro
    Zeigt nacheinander alle vorhandenen »intro«-Handbuchseiten an. Sie können zwischen den aufeinander folgendenden Ausgaben der Seiten abbrechen oder beliebige Seiten überspringen.

man -t bash | lpr -Pps
    Formatiert die Handbuchseite für bash in das Standardformat von Troff oder Groff und schickt sie zum Drucker ps. Für Groff ist das Standardausgabeformat gewöhnlich PostScript. Mit man --help können Sie herausfinden, welcher Prozessor mit der Option -t verbunden ist.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    Dieser Befehl dekomprimiert und formatiert den Nroff-Quelltext der Handbuchseite ./foo.1x.gz in eine geräteunabhängige (device-independent) dvi-Datei. Die Umleitung der Ausgabe ist notwendig, da die Option -T ohne Anzeigeprogramm die Ausgabe zur Standardausgabe schickt. Die Ausgabe kann mit einem Programm wie xdvi betrachtet oder mit einem Programm wie dvips zu PostScript weiterverarbeitet werden.

man -k printf
    Sucht in den Kurzbeschreibungen und Namen der Handbuchseiten nach dem als regulären Ausdruck angesehenen Schlüsselwort printf und gibt alle Fundstellen aus. Diese Option entspricht apropos printf.

man -f smail
    Sucht die durch smail angegebenen Handbuchseiten und gibt alle Kurzbeschreibungen der gefundenen Seiten aus. Diese Option entspricht apropos smail.

ÜBERSICHT
Um dem Benutzer eine größtmögliche Flexibilität zu bieten, sind in man viele Optionen verfügbar. Veränderungen können am Suchpfad, in der Reihenfolge der Abschnitte, am Ausgabeprozessor sowie weiteren Verhaltensweisen und Operationen vorgenommen werden. Dies wird weiter unten beschrieben.

Wenn sie gesetzt sind, werden verschiedene Umgebungsvariablen für die Festlegung der Arbeitsweise von man ausgewertet. Sie können die Allzweckvariable $MANOPT auf einen beliebigen Ausdruck im Befehlszeilenformat setzen. Bei der Zuweisung des Wertes an $MANOPT müssen Sie Leerzeichen als Teil von Argumenten einer Option mit einem Backslash (linksseitigem Schrägstrich) maskieren (schützen). man wertet diese Variable vor der eigenen Befehlszeile aus. Die Optionen, die ein Argument benötigen, werden durch die gleichen Optionen in der Befehlszeile überschrieben. Um alle in $MANOPT gesetzten Optionen zurückzusetzen, kann als erste Befehlszeilen-Option -D angegeben werden. Dies ermöglicht man, alle in $MANOPT gesetzten Optionen zu »vergessen«, obwohl diese weiterhin gültig gewesen sein mussten.

Handbuchseiten werden normalerweise im Format nroff(1) in einem Verzeichnis wie /usr/share/man gespeichert. In einigen Installationen kann es auch vorformatierte cat-Seiten geben, um die Performance zu verbessern. Siehe manpath(5) für Details dazu, wo diese Dateien gespeichert sind.

Dieses Paket unterstützt Internationalisierung. Wenn auf Ihrem System Handbuchseiten in Ihrer Muttersprache verfügbar sind, können Sie mittels Locale-Funktionen auf diese Seiten zugreifen. Falls Ihr System nicht bereits automatisch vornimmt, muss um diese Unterstützung zu aktivieren, entweder in $LC_MESSAGES, $LANG oder anderen systemabhängigen Umgebungsvariablen die gewünschte Sprache festgelegt werden. Die Sprache wird normalerweise im POSIX- Format angegeben:

<Sprache>[_<Region>[.<Zeichensatz>[,<Version>]]]

Wenn die angeforderte Seite in Ihrer Locale verfügbar ist, wird sie anstelle der (normalerweise in amerikanischem Englisch verfassten) Standardseite angezeigt.

Wenn Sie diese Handbuchseiten und die Ausgaben der Hilfsprogramme gerne in Ihrer Landessprache hätten, aber diese nicht vorfinden und Sie diese beisteuern möchten, nehmen Sie bitte mit dem Betreuer dieser Software Kontakt auf, der dann die Übersetzung koordiniert.

Individuelle Handbuchseiten werden normalerweise von den Betreuern des Programms, der Funktion oder sonstigen Themas gepflegt und daher in diesem Paket nicht enthalten. Wenn Sie der Meinung sind, dass eine Handbuchseite fehlt oder unzureichend ist, melden Sie dies an die Betreuer des fraglichen Pakets.

Informationen über weitere Funktionen und Erweiterungen, die für dieses Handbuch-Anzeigeprogramm verfügbar sind, geben Ihnen die mit dem Paket verteilten Dokumente.

VOREINSTELLUNGEN
Die Reihenfolge der zu durchsuchenden Abschnitte kann durch die Umgebungsvariable $MANSECT oder durch die SECTION-Anweisung in /etc/manpath.config außer Kraft gesetzt werden. Folgende Reihenfolge ist voreingestelllt:

    1 n l 8 3 0 2 3type 3posix 3pm 3perl 3am 5 4 9 6 7

Die formatierte Handbuchseite wird mit Hilfe eines Anzeigeprogramms dargestellt. Dieses kann auf verschiedene Arten angegeben werden oder anderenfalls auf eine Voreinstellung ausgewichen werden (siehe die Option -P für Details).

Die Filter werden in mehreren Schritten zusammengestellt: Zuerst wird die Befehlszeilenoption -p oder die Umgebungsvariable $MANROFFSEQ untersucht. Wenn -p nicht benutzt wird und die Umgebungsvariable nicht gesetzt ist, wird die Anfangszeile der Nroff-Datei nach einer Zeichenkette für den Präprozessor untersucht. Um eine gültige Präprozessor-Zeichenkette zu enthalten, muss die erste Zeile

'\" <Zeichenkette>

ähneln, wobei Zeichenkette jede weiter unten unter -p beschriebene Buchstabenkombination sein kann.

Wenn keine der obigen Methoden eine Filterinformation ergibt, wird ein Satz von Standardwerten verwendet.

Aus den Filtern und dem Hauptformatierprogramm (Nroff oder [tg]roff mit -t) wird eine Formatier-Pipeline gebildet und ausgeführt. Wenn alternativ ein ausführbares Programm mandb_nfmt (oder mandb_tfmt mit -t) in der Wurzel der Handbuchhierarchie existiert, wird dieses an Stelle der Pipeline ausgeführt. Ihm wird die Handbuchquelldatei, die Zeichenkette für den Präprozessor und wahlweise das durch die Argumente -T oder -E festgelegte »Gerät« (tatsächlich ein Dateiformat oder ein Zeichensatz) übergeben.

OPTIONEN
Optionen ohne Argumente, die entweder in der Befehlszeile, in $MANOPT oder in beiden doppelt vorkommen, sind nicht schädlich. Für Optionen, die ein Argument benötigen, überschreibt jedes Duplikat den vorhergehenden Wert.

  Allgemeine Optionen

-C Datei, --config-file=Datei
    Verwendung dieser benutzerspezifischen Konfigurationsdatei an Stelle der Vorgabe ~/.manpath

-d, --debug
    Ausgabe von Debug-Informationen

-D, --default
    Diese Option wird normalerweise nur als die allererste angegeben und setzt das Verhalten von man auf die Vorgabewerte zurück. Der Zweck dieser Option ist es, vielleicht schon in der Umgebungsvariablen $MANOPT gesetzte Optionen wieder aufzuheben. Alle Optionen, die -D folgen, haben wieder ihren normalen Effekt.

--warnings[=Warnmeldungen]
    Aktiviert Groff-Warnmeldungen. Damit kann der Zustand der Handbuch-Quelltexte geprüft werden. Warnmeldungen ist eine kommagetrennte Liste von Warnungen. Wird kein Wert vorgegeben, wird die Voreinstellung »mac« angewendet. Um eine groff-Warnung zu deaktivieren, stellen Sie ihr ein Ausrufezeichen (!) voran: Beispielsweise aktiviert --warnings=mac,!break Warnungen in der Kategorie »mac« und deaktiviert sie in der Kategorie »break«. Siehe den Punkt »warnings« in info groff für eine Liste verfügbarer Warnungen.

  Haupt-Betriebsarten

-f, --whatis
    Diese Option ist in etwa vergleichbar mit whatis. Wenn die Handbuchseite verfügbar ist, wird eine Kurzbeschreibung der gewünschten Handbuchseite angezeigt. Zu Details siehe whatis(1).

-k, --apropos
    Diese Option ist etwa vergleichbar mit apropos. Es werden die Kurzbeschreibungen der Handbuchseiten nach Schlüsselwörtern durchsucht und alle Treffer angezeigt. Zu Details siehe apropos(1).

-K, --global-apropos
    Sucht den Text in allen Handbuchseiten. Dieses Vorgehen mit roher Gewalt (brute-force) wird wahrscheinlich einige Zeit dauern. Daher sollten Sie, wenn möglich, einen Abschnitt angeben, um die Anzahl der zu durchsuchenden Seiten zu reduzieren. Suchbegriffe können einfache Zeichenketten (Voreinstellung) oder bei Verwendung der Option --regex reguläre Ausdrücke sein.

    Beachten Sie, dass dies die Quellen der Handbuchseiten, nicht den dargestellten Text, durchsucht und daher aufgrund von Kommentaren in den Quelltexten, Fehlinterpretationen von Bindestrichen, die als »\-« geschrieben sind und ähnlichem falsche Treffer enthalten kann. Durchsuchen des dargestellten Textes wäre viel langsamer.

-l, --local-file
    Aktiviert den »lokalen« Modus. Formatiert und zeigt lokale Handbuchdateien an, anstatt die System-Handbuchsammlung zu durchsuchen. Jedes Handbuchseiten-Argument wird als gültig formatierte Nroff-Quelle interpretiert. Es werden keine Cat-Dateien erstellt. Wenn eines der Argumente »-« ist, wird die Eingabe von der Standardeingabe übernommen.

    Wenn diese Option nicht verwendet wird, dann wird man auch darauf ausweichen, als Argumente angegebene Handbuchseiten als lokale Dateinamen zu interpretieren, wenn das Argument einen Schrägstrich (/) enthält, da dies darauf hindeutet, dass sich das Argument auf einen Pfad im Dateisystem bezieht.

-w, --where, --path, --location
    Zeigt nicht die Handbuchseiten an, sondern gibt den Ort der Nroff-Quelldatei aus, die formatiert werden würde. Wenn die Option -a ebenfalls angegeben wird, dann werden die Orte aller Quelldateien angegeben, die den Suchkriterien entsprechen.

-W, --where-cat, --location-cat
    Zeigt nicht die Handbuchseiten an, sondern den Speicherort der Cat-Dateien, die angezeigt würden. Wenn die Option -a ebenfalls angegeben wird, dann werden die Orte aller vorformatierten Cat-Dateien ausgegeben, die den Suchkriterien entsprechen.

    Wenn sowohl -w als auch -W angegeben werden, dann werden sowohl die Quelldatei als auch die Cat-Datei angegeben, durch Leerraum getrennt. Falls -w, -W und -a zusammen angegeben werden, dann wird dies für jeden möglichen Treffer ausgeführt.

-c, --catman
    Diese Option ist nicht für den allgemeinen Gebrauch bestimmt und sollte nur von dem Programm catman verwendet werden.

-R Kodierung, --recode=Kodierung
    Anstatt die Seite wie üblich zu formatieren, wird der Quelltext in die angegebene Kodierung umgewandelt und ausgegeben. Wenn Sie die Kodierung der Quelldatei bereits kennen, können Sie auch direkt manconv(1) aufrufen. Diese Option ermöglicht Ihnen aber die Umkodierung mehrerer Handbuchseiten ohne die ausdrückliche Angabe der Kodierung jeder einzelnen Datei, wenn die Seiten schon in einer zu den Handbuchhierarchien analogen Struktur installiert sind.

    Ziehen Sie in Erwägung, man-recode(1) zu verwenden, anstatt mehrere Handbuchseiten umzuwandeln, da dessen Benutzerschnittstelle für Mehrfachumwandlungen entworfen wurde und daher viel schneller sein kann.

  Handbuchseiten finden

-L Locale, --locale=Locale
    man wird in der Regel Ihre aktuelle Locale durch einen Aufruf der C-Funktion setlocale(3) bestimmen, welche verschiedene Umgebungsvariablen auswertet (darunter sind eventuell auch $LC_MESSAGES und $LANG). Um den ermittelten Wert vorübergehend außer Kraft zu setzen, können Sie man mit dieser Option eine Locale vorgeben. Beachten Sie, dass dieser Wert erst wirksam wird, wenn die Suche tatsächlich beginnt. Programm-Meldungen wie Hilfe-Nachrichten werden immer in der zu Anfang ermittelten Locale angezeigt werden.

-m system[,...], --systems=System[,...]
    Wenn Ihr System auch auf die Handbuchseiten eines anderen Betriebssystems zugreifen kann, können diese mit dieser Option durchsucht werden. Um nach einer Handbuchseite aus der Handbuchseiten-Sammlung von NewOS zu suchen, verwenden Sie die Option -m NewOS.

    Das angegebene System kann eine durch Kommata abgetrennte Aufzählung von Betriebssystemnamen sein. Um auch die Handbuchseiten des eigenen Betriebssystems zu durchsuchen, fügen sie den Systemnamen man in die Argument-Zeichenkette ein. Diese Option überschreibt die Umgebungsvariable $SYSTEM.

-M Pfad, --manpath=Pfad
    Gibt die Verwendung eines alternativen Pfades vor. Standardmäßig verwendet man von manpath abgeleiteten Code, um den Suchpfad zu ermitteln. Diese Option überschreibt die Umgebungsvariable $MANPATH und sorgt dafür, das -m ignoriert wird.

    Ein als Handbuch-Pfad festgelegter Pfad muss die Wurzel einer in Abschnitte gegliederten Handbuchhierarchie sein. Das ist im Handbuch von man-db (unter »The manual page system«) beschrieben (für die Anzeige von Handbuchseiten außerhalb solcher Hierarchien siehe die Option -l).

-S Liste, -s Liste, --sections=Liste
    Mit der Liste, in der Sie Doppelpunkte oder Kommas als Trennzeichen verwenden können, können sie eine bestimmte Suchreihenfolge vorgeben. Diese Option setzt die Umgebungsvariable $MANSECT außer Kraft. (Die Schreibweise -s ist kompatibel mit System V.)

-e Unter-Erweiterung, --extension=Unter-Erweiterung
    Einige Systeme integrieren umfangreiche Handbuchseiten-Pakete, wie z. B. Zubehör für das Tcl-Paket, in die normalen Abschnitte. Für die Lösung des Problems zweier unterschiedlicher Handbuchseiten mit gleichem Namen, wie exit(3), wurden früher alle Tcl-Seiten dem Abschnitt l zugeordnet und mit einer speziellen Endung versehen, in diesem Fall exit(3tcl). Dies erwies sich als unglückliche Lösung. Diese Version von man ermöglicht es, die Seiten in die richtigen Abschnitte einzuordnen und ihre. exit(3tcl), anzufügen. Im Normalbetrieb zeigt man bevorzugt exit(3) gegenüber exit(3tcl) an. Um diese Situation zu bewältigen, können Sie man die Zeichenkette Unter-Erweiterung übergeben. Diese gibt an, in welchem Paket die Handbuchseite zu finden ist. Im obigen Beispiel wird die Option -e tcl die Suche von man auf Seiten mit der Erweiterung *tcl beschränken.

-i, --ignore-case
    bei der Suche nach Handbuchseiten Groß- und Kleinschreibung ignorieren (Voreinstellung)

-I, --match-case
    Handbuchseiten-Suche unter Beachtung von Groß- und Kleinschreibung

--regex
    Zeigt alle Seiten an, bei denen ein Teil der Namen oder der Beschreibungen auf den als Argument übergebenen regulären Ausdruck Seite passen, wie bei apropos(1). Gewöhnlich gibt es keinen begründeten Weg, um bei der Suche nach einem regulären Ausdruck eine »beste« Seite zu bestimmen. Darum impliziert diese Option -a.

--wildcard
    Zeigt alle Seiten an, bei denen ein Teil der Namen oder der Beschreibungen auf den als Argument übergebenen Shell-Platzhalter (Wildcard) Seite passen, wie bei apropos(1) --wildcard. Das Argument Seite muss mit dem gesamten Namen oder einem Abschnitt der Beschreibung innerhalb von Wortgrenzen übereinstimmen. Gewöhnlich gibt es keinen begründeten Weg, um bei der Suche nach einem Platzhalter eine »beste« Seite zu bestimmen. Darum impliziert diese Option -a.

--names-only
    Wenn die Optionen --regex oder --wildcard zum Einsatz kommen, wird wie bei whatis(1) nur in den Paketnamen und nicht in den Beschreibungen gesucht, Ansonsten hat diese Option keine Auswirkung.

-a, --all
    Wird eine Handbuchseite in einem Abschnitt gefunden, so terminiert man nach Anzeige dieser Seite. Wird diese Option angegeben, werden alle passenden Handbuchseiten nacheinander angezeigt.

-u, --update
    Diese Option veranlasst man, seine Zwischenspeicher-Datenbank der installierten Handbuchseiten zu aktualisieren. Dies ist nur in seltenen Fällen notwendig. Es ist normalerweise besser, stattdessen den Befehl mandb(8) auszuführen.

--no-subpages
    Standardmäßig versucht man, auf seiner Befehlszeile übergebene Namenspaare als gleichwertig mit einem Namen, der einen Bindestrich oder einen Unterstrich enthält, zu interpretieren. Dies unterstützt das verbreitete Muster von Programmen, die eine Reihe von Unterbefehlen implementieren, sodass für den Aufruf der entsprechenden Handbuchseiten eine ähnliche Syntax wie für den Aufruf der Befehle genutzt werden kann. Zum Beispiel:

      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz

    Dieses Verhalten deaktivieren Sie mit der Option --no-subpages.

      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Steuerung der Ausgabeformatierung

-P Anzeigeprogramm, --pager=Anzeigeprogramm
    Gibt an, welches Anzeigeprogramm verwendet werden soll. Standardmäßig verwendet man pager, wobei auf cat ausgewichen wird, falls pager nicht gefunden wurde oder nicht ausführbar ist. Diese Option überschreibt die Umgebungsvariable $MANPAGER, welche wiederum die Umgebungsvariable $PAGER überschreibt. Die Option wird nicht zusammen mit -f oder -k verwendet.

    Der Wert kann ein einfacher Befehlsname oder ein Befehl mit Argumenten sein. Er darf Shell-Maskierung (also linksseitige Schrägstriche sowie einfache und doppelte Anführungszeichen) enthalten. Er darf keine Pipelines verwenden, um mehrere Befehle zu verbinden. Wenn Sie das benötigen, verwenden Sie ein Skript, das die gewünschte Seite entweder als Argument erhält oder von der Standardeingabe liest.

-r Eingabeaufforderung, --prompt=Eingabeaufforderung
    Wenn eine aktuelle Version von less(1) als Anzeigeprogramm verwendet wird, versucht man, dort einige sinnvolle Optionen zu setzen. Die Standard-Eingabeaufforderung ähnelt

    Handbuchseite Name(Abschnitt) Zeile x

    wobei Name die Handbuchseite bezeichnet, x die aktuelle Zeilennumer und Abschnitt den Fundort bezeichnet. Diese Anzeige wird durch Verwendung der Umgebungsvariable $LESS erreicht.

    Die Option -r in Verbindung mit einer Zeichenkette setzt diese Vorgabe außer Kraft. Wenn diese Zeichenkette $MAN_PN enthält, wird dieser Text durch den Namen der Handbuchseite gefolgt von der Abschnittsnummer, umgeben von »(« und »)«, ersetzt. Die Zeichenkette für die Erzeugung der Voreinstellung könnte als

    \ Manual\ page\ \$MAN_PN\ ?ltline\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (END):?pB\ %pB\\%..
    h gibt einen Hilfstext aus, q beendet das Programm

    ausgedrückt werden.) Die dreizeilige Darstellung wurde nur der besseren Lesbarkeit wegen gewählt. Was das bedeutet, steht in der Handbuchseite von less(1). Da die Zeichenkette zuerst von der Shell ausgewertet wird, müssen alle einfachen und doppelten Anführungszeichen sowie der linksseitige Schrägstrich (Backslash) durch einen vorangestellten Backslash geschützt werden. Weitere Optionen für less(1) können nach einem geschützten $ am Ende der Zeichenkette hinzugefügt werden. Die Standardwerte sind hier -ix8.

    Wie nachfolgend beschrieben, kann die Umgebungsvariable $MANLESS zum Festlegen einer Vorgabe-Zeichenkette für die Eingabeaufforderung verwendet werden, sofern in der Befehlszeile keine angegeben wird.

-7, --ascii
    Bei der Anzeige einer in reinem ascii(7) kodierten Handbuchseite auf einem 7-Bit-Terminal oder -Terminal-Emulator können einige Zeichen nicht korrekt angezeigt werden, wenn die latin1(7)-Gerätebeschreibung mit GNU Nroff benutzt wird. Diese Option ermöglicht die Anzeige von in reinem ascii kodierten Handbuchseiten als ascii-Zeichen auf dem latin1-»Gerät«. Latin1-kodierter Text wird nicht übersetzt. Die folgende Tabelle zeigt die Übersetzungen, die durchgeführt werden: Ein Teil davon kann nur dann richtig angezeigt werden, wenn das latin1-»Gerät« von GNU Nroff verwendet wird.

    Beschreibung | oktal | latin1 | ascii
    Bindestrich | 255 |  | -
    Aufzählungszeichen (middle dot) | 267 | • | o
    Accent aigu | 264 | ´ | '
    Multiplikationszeichen | 327 | × | x

    Wenn die latin1-Spalte richtig angezeigt wird, kann das Terminal für die Anzeige von latin1-Zeichen eingerichtet sein und diese Option ist nicht notwendig. Wenn die Spalten latin1 und ascii identisch sind, lesen Sie diese Seite schon mit dieser Option oder man hat diese Seite nicht mit der latin1-Gerätebeschreibung formatiert. Wenn die latin1-Spalte fehlt oder beschädigt ist, müssen Sie möglicherweise die Handbuchseiten mit dieser Option ansehen.

    Diese Option wird ignoriert, wenn Sie die Optionen -t, -H, -T oder -Z verwenden und kann nutzlos sein, wenn Sie eine andere als die GNU-Version von Nroff verwenden.

-E Kodierung, --encoding=Kodierung
    Erzeugt eine Ausgabe für eine vom Standard verschiedene Zeichenkodierung. Aus Gründen der Abwärtskompatibilität kann Kodierung ein Nroff-Gerät wie ascii, latin1 oder utf8 sowie eine richtige Zeichenkodierung wie UTF-8 sein.

--no-hyphenation, --nh
    Normalerweise wird Nroff automatisch Text an Zeilenumbrüchen trennen, um damit den Text ohne übermäßige Abstände darzustellen. Dazu trennt es auch Wörter, die keinen Bindestrich enthalten. Diese Option deaktiviert die automatische Silbentrennung. Sie trennt nur Wörter, die bereits Bindestriche enthalten.

    Wenn Sie eine Handbuchseite schreiben und einfach nur Nroff von der falschen Trennung eines Wortes abhalten wollen, verwenden Sie nicht diese Option. Lesen Sie stattdessen die Nroff-Dokumentation. Beispielsweise können Sie durch das Einfügen von »\%« in einem Wort diese Stelle als Trennstelle markieren oder mit »\%« am Wortanfang das Wort als nicht trennbar kennzeichnen.

--no-justification, --nj
    Normalerweise setzt Nroff den Text automatisch im Blocksatz. Diese Option deaktiviert die Ausrichtung des Textes an der rechten Seite und bewirkt damit an der rechten Seite unterschiedliche Leerräume (»ragged right«).

    Wenn Sie eine Handbuchseite schreiben und Sie wollen einfach nur Nroff vom Blocksatz bestimmter Absätze abhalten, verwenden Sie nicht diese Option. Lesen Sie stattdessen die Nroff-Dokumentation. Beispielsweise können Sie die Direktiven .».na.«, ».nf«, ».fi« und ».ad« verwenden, um zeitweise Ausrichten und Füllen zu deaktivieren.

-p Zeichenkette, --preprocessor=Zeichenkette
    Diese Option gibt die Reihenfolge an, in der die Präprozessoren vor Nroff oder Troff/Groff aufgerufen werden. Nicht alle Installationen verfügen über alle Präprozessoren. Einige der Präprozessoren und die Zeichen, die sie repräsentieren, sind: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Diese Option überschreibt die Umgebungsvariable $MANROFFSEQ. Der Präprozessor zsoelim wird immer als erster gestartet.

-t, --troff
    Mit dieser Option wird groff -mandoc verwendet, um die Handbuchseite zu formatieren und an die Standardausgabe zu liefern. In Verbindung mit -H, -T oder -Z ist diese Option nicht erforderlich.

-T[Gerät], --troff-device[=Gerät]
    Diese Option wird dazu verwendet, um das Ausgabeformat von Groff (oder möglicherweise Troff) für andere als das Standardausgabegerät anzupassen. Diese Option impliziert -t. Zu den verfügbaren Ausgabeformaten (von groff 1.23.0) gehören dvi, latin1, pdf, ps, utf8, X75 und X100.

-H[Browser], --html[=Browser]
    Diese Option veranlasst Groff, eine HTML-Ausgabe zu erzeugen und diese in einem Webbrowser anzuzeigen. Der Browser wird durch das optionale Argument Browser ausgewählt. Fehlt es, wird er durch die Umgebungsvariable $BROWSER oder Vorgaben beim Bau des Programms (in der Regel lynx) bestimmt. Diese Option impliziert -t und wird nur mit GNU Troff arbeiten.

-X[dpi], --gxditview[=dpi]
    Diese Option zeigt die Ausgabe von Groff mit dem Programm gxditview in einem Grafik-Fenster an. Mögliche Werte für dpi (dots per inch) sind 75, 75-12, 100 oder 100-12 sein; Standard ist 75. Die 12-Varianten verwenden eine 12-Punkt-Basisschrift. Diese Option impliziert mit den »Geräten« X75, X75-12, X100 oder X100-12 jeweils -T.

-Z, --ditroff
    Groff ruft Troff und anschließend den passenden Postprozessor auf, um eine für das gewählte »Gerät« verwendbare Ausgabe zu erzeugen. Wenn groff -mandoc Groff ist, wird diese Option an Groff weitergereicht und verhindert den Gebrauch eines Postprozessors. Diese Option impliziert -t.

  Hilfe bekommen

-?, --help
    Hilfetext anzeigen und beenden

--usage
    zeigt eine kurze Anwendungszusammenfassung an und beendet das Programm.

-V, --version
    Versionsinformation anzeigen und beenden

EXIT-STATUS

0   erfolgreiche Programmausführung

1   Fehler beim Aufruf, in der Syntax oder in der Konfigurationsdatei

2   betriebsbedingter Fehler

3   Ein Kind-Prozess gab einen von Null verschiedenen EXIT-Status zurück.

16  Mindestens eine Seite/Datei oder ein Schlüsselwort gibt es nicht oder es wurden keine Treffer dafür gefunden.

UMGEBUNGSVARIABLEN

MANPATH
    Wenn $MANPATH gesetzt ist, wird ihr Wert als Suchpfad für die Handbuchseiten benutzt.

    Siehe den Abschnitt SUCHPFAD in der Handbuchseite manpath(5) für das Standardverhalten und Details dazu, wie mit dieser Umgebungsvariable umgegangen wird.

MANROFFOPT
    Jedes Mal, wenn man das Formatierungsprogramm aufruft (nroff, troff oder groff), wird der Inhalt von $MANROFFOPT zur Befehlszeile des Formatierungsprogramms hinzugefügt.

    Beispielsweise weist MANROFFOPT=-P-i das Formatierungsprogramm an, kursiven Text (was nur von einigen Terminals unterstützt wird) statt unterstrichenen Text zu verwenden.

MANROFFSEQ
    Wenn $MANROFFSEQ gesetzt ist, wird ihr Wert benutzt, um die Abfolge der Präprozessoren zu bestimmen, die jede Handbuchseite vor Nroff oder Troff durchläuft. Als Standard durchlaufen die Seiten den Präprozessor tbl (t).

MANSECT
    Wenn $MANSECT gesetzt ist, wird ihr Wert als eine durch Doppelpunkte gegliederte Liste von Abschnitten interpretiert und dazu benutzt, die zu durchsuchenden Abschnitte und deren Reihenfolge zu bestimmen. Die Vorgabe ist »1 n l 8 3 0 2 3type 3posix 3pm 3perl 3am 5 4 9 6 7«, es sei denn, dies wird durch die SECTION-Anweisung in /etc/manpath.config außer Kraft gesetzt.

MANPAGER, PAGER
    Wenn $MANPAGER oder $PAGER gesetzt ist ($MANPAGER wird bevorzugt verwendet), legt dieser Wert das Anzeigeprogramm für die Handbuchseite fest. Standardmäßig wird pager verwendet, wobei auf cat ausgewichen wird, falls pager nicht gefunden wurde oder nicht ausführbar ist.

    Der Wert kann ein einfacher Befehlsname oder ein Befehl mit Argumenten sein. Er darf Shell-Maskierung (also linksseitige Schrägstriche sowie einfache und doppelte Anführungszeichen) enthalten. Er darf keine Pipelines verwenden, um mehrere Befehle zu verbinden. Wenn Sie das benötigen, verwenden Sie ein Skript, das die gewünschte Seite entweder als Argument erhält oder von der Standardeingabe liest.

MANLESS
    Wenn $MANLESS gesetzt ist, wird deren Wert als Zeichenkette für die Festlegung einer Eingabeaufforderung für das Anzeigeprogramm less verwendet, so als ob dieser Wert mit der Option -r übergeben worden wäre (daher werden sonstige Vorkommen des Textes $MAN_PN in der gleichen Weise expandiert). Wenn Sie beispielsweise die Eingabeaufforderung unbedingt auf »Meine Eingabeaufforderung« setzen wollen, setzen Sie $MANLESS auf ‘-PMeine Eingabeaufforderung’. Durch die Option -r wird diese Umgebungsvariable außer Kraft gesetzt.

BROWSER
    Wenn $BROWSER gesetzt ist, ist Wert eine durch Doppelpunkte getrennte Liste von Befehlen. Mit allen diesen Befehlen wird versucht, einen Web-Browser für man --html zu starten. In jedem Befehl wird %s durch einen Dateinamen für die HTML-Ausgabe von Groff, %% durch ein einzelnes Prozentzeichen und %c durch einen Doppelpunkt (:) ersetzt.

SYSTEM
    Wenn $SYSTEM gesetzt ist, hat das die gleiche Wirkung wie die Verwendung als Argument für die Option -m.

MANOPT
    Wenn $MANOPT gesetzt ist, wird der Wert dieser Variablen vor der man-Befehlszeile ausgewertet. Es wird vorausgesetzt, dass der Wert im gleichen Format wie die Befehlszeile vorliegt. Da alle anderen für man spezifischen Umgebungsvariablen auch als Befehlszeilenoptionen ausgedrückt und in $MANOPT aufgenommen werden können, ist zu erwarten, dass Sie obsolet werden. Übrigens müssen alle Leerzeichen, die als Teil eines Arguments interpretiert werden sollen, geschützt werden.

MANWIDTH
    Wenn $MANWIDTH gesetzt ist, wird ihr Wert als die Zeilenlänge für die Formatierung der Handbuchseiten verwendet. Wenn sie nicht gesetzt ist, werden die Handbuchseiten mit einer für das aktuelle Terminal angemessenen Zeilenlänge angezeigt, die (bei Verfügbarkeit) mit einem Aufruf von ioctl(2) oder dem Wert von $COLUMNS bestimmt wurde. Scheitert alles Andere, werden 80 Zeichen pro Zeile ausgegeben. Cat-Seiten werden nur dann gespeichert, wenn die Standard-Formatierung verwendet werden kann, also die Zeilenlänge zwischen zwischen 66 und 80 Zeichen liegt.

MAN_KEEP_FORMATTING
    Wenn die Ausgabe nicht zu einem Terminal (zum Beispiel in eine Datei oder eine Pipeline) geschickt wird, werden Formatierungszeichen verworfen, um das Ergebnis ohne Spezialwerkzeuge lesen zu können. Ist aber $MAN_KEEP_FORMATTING auf einen nicht leeren Wert gesetzt, werden diese Formatierungszeichen beibehalten. Dies kann nützlich sein für Adapter, die man interpretieren und Formatierungszeichen verarbeiten können.

MAN_KEEP_STDERR
    Normalerweise werden bei der Ausgabe auf einem Terminal (in der Regel mit einem Anzeigeprogramm) alle Fehlermeldungen der Formatierprogramme verworfen, um die Ausgabe des Anzeigeprogramms nicht zu stören. Programme wie Groff produzieren häufig relativ harmlose, hässliche Fehlermeldungen über typografische Probleme wie schlechte Ausrichtung. Die Anzeige dieser Meldungen ist in der Regel verwirrend, wenn sie zusammen mit der Handbuchseite erfolgt. Einige Benutzer wollen sie trotzdem sehen. Setzen Sie $MAN_KEEP_STDERR auf einen nicht leeren Wert, damit Fehlermeldungen wie gewohnt angezeigt werden.

MAN_DISABLE_SECCOMP
    Unter Linux sperrt man normalerweise Unterprozesse, die nicht vertrauenswürdige Daten verarbeiten, in einer seccomp(2)-Sandbox ein. Dadurch wird es sicherer, komplexen Auswertungscode über beliebige Handbuchseiten hinweg auszuführen. Falls dies aus irgendeinem Grund fehlschlägt, der nicht auf den Inhalt der anzuzeigenden Handbuchseite zurückzuführen wäre, können Sie $MAN_DISABLE_SECCOMP auf einen beliebigen von Null verschiedenen Wert setzen, um die Sandbox zu deaktivieren.

PIPELINE_DEBUG
    Falls die Umgebungsvariable $PIPELINE_DEBUG auf »1« gesetzt ist, dann schreibt man Debugging-Meldungen in die Standardfehlerausgabe, die jeden ausgeführten Unterprozess beschreiben.

LANG, LC_MESSAGES
    Abhängig von System und Implementierung werden entweder $LANG oder $LC_MESSAGES oder beide nach Informationen zur aktuellen Locale durchsucht. man wird (wenn möglich) seine Nachrichten in dieser Locale anzeigen. Für genaue Details siehe setlocale(3).

DATEIEN

/etc/manpath.config
    Konfigurationsdatei für Man-db

/usr/share/man
    globale Handbuchhierarchie.

STANDARDS
POSIX.1-2001, POSIX.1-2008, POSIX.1-2017.

SIEHE AUCH
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), manpath(5), man(7), catman(8), mandb(8)

Für einige Pakete kann die Dokumentation in anderen Formaten verfügbar sein, zum Beispiel info(1) oder HTML.

GESCHICHTE
1990, 1991 – John W. Eaton (jwe@che.utexas.edu) schrieb die erste Version.

23. Dez. 1992: Fehlerbereinigung durch Rik Faith (faith@cs.unc.edu) ,unterstützt durch Willem Kasdorp (wkasdo@nikhefk.nikef.nl).

30. April 1994 – 23. Februar 2000: Wilf (G.Wilford@ee.surrey.ac.uk) hat mit der Hilfe von einigen wenigen engagierten Menschen dieses Paket weiterentwickelt und gewartet.

30. Oktober 1996 – Februar 2000: Fabrizio Polacco <fpolacco@debian.org> wartete und erweiterte mit Hilfe aus der gesamten Community dieses Paket für das Debian-Projekt.

31. März 2001 – heute: Colin Watson <cjwatson@debian.org> entwickelt und wartet man-db.

FEHLER
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db